
#
# setup the unknown path
#
lappend auto_path ../libtcl

#
# set tcl_interactive 0
#
# Set up the bank count (this should really just be a single "view" parameter,
# however these next two are used intermittantly for menus - 2 rows of 8 etc.
#
set BankCount	2
set BankSize	8

#
# Pre 2.20 always needs to do this.
# Post 2.20 never needs to do this.
#
# Set up the default audio devices
#
#	set newTrackName		/dev/null
#	set trackName	../dataBase/DiskFile/startCD/test
#	set audioDevName0	/dev/audio
#	set audioMixerName0	/dev/mixer
#	set audioDevName1	""
#	set audioMixerName1	""
#	set audioDevName3	""
# 13 = halfDuplex, 14 = fullDuplex
#	set audioDevFlags0	14
#	set audioDevFlags1	0
#	set audioDevFlags2	0
#	set devCount 8

set sampleRate	44100
set resolution	16
set trackCount	[expr $BankSize * $BankCount]
set blockSampleSize 8192
set compressionClass 0

#
# For the HelpSLab
#
set helperFont 6x10

#
# For the pot tracking options:
# 0 = mouse picks up pot point when aligned out of potmeter.
# 1 = mouse never picks up pot point, movement is left/right only.
# 2 = mouse picks up pot point only when out of potmeter.
# 3 = mouse permanantly picks up pot point when out of potmeter.
# 4 = mouse picks up pot point only when well out of potmeter.
# 5 = allways track the mouse.
#
# set potTracking 4

#
# A couple of global parameters
#
set wowFlutter 0
set crossTalk 0
set scratchLevel 0

set mixAlgo 0
set subMixAlgo 0
set outputMixAlgo 0
set outputAlgo 0
set inputAlgo 0

#set autoMute off
#set autoRecordOff true
set sbONRadjustTreble false
#
# Get ready to kick off the vuMeter when it is requested
#
set vuActive true
set vuMeterInterval 250
set vuMeterHoldCount 5
set vuMeterDecay1 1
set vuMeterDecay2 2

set vuMeterP0 inputLMax0
set vuMeterP1 inputRMax0
set vuMeterP2 1
set vuMeterP3 2
set vuMeterP4 3
set vuMeterP5 4
set vuMeterP6 5
set vuMeterP7 6
set vuMeterP8 7
set vuMeterP9 8
set vuMeterP10 9
set vuMeterP11 10
set vuMeterP12 11
set vuMeterP13 12
set vuMeterP14 outputLMax0
set vuMeterP15 outputRMax0

set smpteFormat 24

set recordSource mainIn
set recordDisplay none
set recordStatus off
set recordCount -10

#
# A couple of globals
#
set waveSLabCount 0
set errorMessageCount 0

set trackTotalLength 65535

. configure -bg grey70
wm colormapwindows .

#
# Track descriptions
#
set trackDescriptions(0) ""
set shortDescriptions(0) ""

for {set i 0} {$i < $trackCount} {incr i} {
	set trackDescriptions($i) "Track[expr $i + 1]"
	set shortDescriptions($i) " TRK [expr $i + 1]"
}
#
# And get the first window up.....
#
buildSLab

